package com.kmall.admin.dto;

import com.kmall.admin.entity.GoodsAttributeEntity;
import com.kmall.admin.entity.GoodsGalleryEntity;
import com.kmall.admin.entity.ProductEntity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;


/**
 * @author Scott
 * @email
 * @date 2017-08-13 10:41:08
 */
public class GoodsDto implements Serializable {
    private static final long serialVersionUID = 1L;
    //主键
    private Long id;
    //商品序列号
    private String goodsSn;
    //名称
    private String name;
    //品牌
    private String brand;
    //商品库存
    private Integer goodsNumber;
    //关键字
    private String keywords;
    //简明介绍
    private String goodsBrief;
    //商品描述
    private String goodsDesc;
    //添加时间
    private Date addTime;
    //排序
    private Integer sortOrder;
    //库存价格
    private String counterPrice;
    //附加价格
    private String extraPrice;
    //商品单位
    private String goodsUnit;
    //商品税率
    private String goodsRate;
    //零售价格
    private String retailPrice;
    //销售量
    private Integer sellVolume;
    //单位价格，单价
    private String unitPrice;
    //推广描述
    private String promotionDesc;
    //市场价
    private String marketPrice;
    /**
     * 产品条码
     */
    private String prodBarcode;
    /**
     * 计量单位代码，参见海关编码
     */
    private String unitCode;
    /**
     * 海关商品编码
     */
    private String cusGoodsCode;
    /**
     * 国检规格型号
     */
    private String ciqProdModel;
    /**
     * 原产国代码，海关编码
     */
    private String oriCntCode;
    /**
     * 海关申报要素，报统一版
     */
    private String cusDeclEle;
    /**
     * 海关备案编号，企业自编，用于报园区
     */
    private String cusRecCode;

    private String sku;

    private String goodsBizType;
    // 商品类型
    private Integer goodsType = 0; // 0普通 1 2团购

    private String stockNum;

    private String storeName;

    private String productId;

    private Integer storeId;
    //商品类型
    private String categoryName;
    //品牌
    private String brandName;

    private String unitName;

    private String oriCntName;

    private String supplierName;

    private String defaultFreight;
    //上架
    private String isOnSaleStr;
    //热销
    private String isHotStr;

    private String thirdPartyMerchCode;

    public String getThirdPartyMerchCode() {
        return thirdPartyMerchCode;
    }

    public void setThirdPartyMerchCode(String thirdPartyMerchCode) {
        this.thirdPartyMerchCode = thirdPartyMerchCode;
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public String getStockNum() {
        return stockNum;
    }

    public void setStockNum(String stockNum) {
        this.stockNum = stockNum;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getSku() {
        return sku;
    }

    public void setSku(String sku) {
        this.sku = sku;
    }

    public String getGoodsBizType() {
        return goodsBizType;
    }

    public void setGoodsBizType(String goodsBizType) {
        this.goodsBizType = goodsBizType;
    }

    public String getBrandName() {
        return brandName;
    }

    public void setBrandName(String brandName) {
        this.brandName = brandName;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    /**
     * 设置：主键
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 获取：主键
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置：商品序列号
     */
    public void setGoodsSn(String goodsSn) {
        this.goodsSn = goodsSn;
    }

    /**
     * 获取：商品序列号
     */
    public String getGoodsSn() {
        return goodsSn;
    }

    /**
     * 设置：名称
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取：名称
     */
    public String getName() {
        return name;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    /**
     * 设置：商品序列号
     */
    public void setGoodsNumber(Integer goodsNumber) {
        this.goodsNumber = goodsNumber;
    }

    /**
     * 获取：商品序列号
     */
    public Integer getGoodsNumber() {
        return goodsNumber;
    }

    /**
     * 设置：关键字
     */
    public void setKeywords(String keywords) {
        this.keywords = keywords;
    }

    /**
     * 获取：关键字
     */
    public String getKeywords() {
        return keywords;
    }

    /**
     * 设置：简明介绍
     */
    public void setGoodsBrief(String goodsBrief) {
        this.goodsBrief = goodsBrief;
    }

    /**
     * 获取：简明介绍
     */
    public String getGoodsBrief() {
        return goodsBrief;
    }

    /**
     * 设置：商品描述
     */
    public void setGoodsDesc(String goodsDesc) {
        this.goodsDesc = goodsDesc;
    }

    /**
     * 获取：商品描述
     */
    public String getGoodsDesc() {
        return goodsDesc;
    }

    /**
     * 设置：添加时间
     */
    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    /**
     * 获取：添加时间
     */
    public Date getAddTime() {
        return addTime;
    }

    /**
     * 设置：排序
     */
    public void setSortOrder(Integer sortOrder) {
        this.sortOrder = sortOrder;
    }

    /**
     * 获取：排序
     */
    public Integer getSortOrder() {
        return sortOrder;
    }

    /**
     * 设置：商品单位
     */
    public void setGoodsUnit(String goodsUnit) {
        this.goodsUnit = goodsUnit;
    }

    /**
     * 获取：商品单位
     */
    public String getGoodsUnit() {
        return goodsUnit;
    }


    public String getGoodsRate() {
        return goodsRate;
    }

    public void setGoodsRate(String goodsRate) {
        this.goodsRate = goodsRate;
    }

    /**
     * 设置：零售价格
     */
    public void setRetailPrice(String retailPrice) {
        this.retailPrice = retailPrice;
    }

    /**
     * 获取：零售价格
     */
    public String getRetailPrice() {
        return retailPrice;
    }

    public String getMarketPrice() {
        return marketPrice;
    }

    public void setMarketPrice(String marketPrice) {
        this.marketPrice = marketPrice;
    }

    public String getProdBarcode() {
        return prodBarcode;
    }

    public void setProdBarcode(String prodBarcode) {
        this.prodBarcode = prodBarcode;
    }

    public String getUnitCode() {
        return unitCode;
    }

    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode;
    }

    public String getCusGoodsCode() {
        return cusGoodsCode;
    }

    public void setCusGoodsCode(String cusGoodsCode) {
        this.cusGoodsCode = cusGoodsCode;
    }

    public String getCiqProdModel() {
        return ciqProdModel;
    }

    public void setCiqProdModel(String ciqProdModel) {
        this.ciqProdModel = ciqProdModel;
    }

    public String getOriCntCode() {
        return oriCntCode;
    }

    public void setOriCntCode(String oriCntCode) {
        this.oriCntCode = oriCntCode;
    }

    public String getCusDeclEle() {
        return cusDeclEle;
    }

    public void setCusDeclEle(String cusDeclEle) {
        this.cusDeclEle = cusDeclEle;
    }

    public String getCusRecCode() {
        return cusRecCode;
    }

    public void setCusRecCode(String cusRecCode) {
        this.cusRecCode = cusRecCode;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public String getDefaultFreight() {
        return defaultFreight;
    }

    public void setDefaultFreight(String defaultFreight) {
        this.defaultFreight = defaultFreight;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public String getOriCntName() {
        return oriCntName;
    }

    public void setOriCntName(String oriCntName) {
        this.oriCntName = oriCntName;
    }

    public String getIsOnSaleStr() {
        return isOnSaleStr;
    }

    public void setIsOnSaleStr(String isOnSaleStr) {
        this.isOnSaleStr = isOnSaleStr;
    }

    public String getIsHotStr() {
        return isHotStr;
    }

    public void setIsHotStr(String isHotStr) {
        this.isHotStr = isHotStr;
    }
}
